package com.ruoyi.abuwx.mapper;

import com.ruoyi.abuwx.domain.UserLike;

import java.util.List;

/**
 * 用户点赞记录Mapper接口
 *
 * @author lujie
 * @date 2025-02-05
 */
public interface UserLikeMapper
{
    /**
     * 查询用户点赞记录
     *
     * @param id 用户点赞记录主键
     * @return 用户点赞记录
     */
    public UserLike selectUserLikeById(Long id);

    /**
     * 查询用户点赞记录列表
     *
     * @param userLike 用户点赞记录
     * @return 用户点赞记录集合
     */
    public List<UserLike> selectUserLikeList(UserLike userLike);

    /**
     * 新增用户点赞记录
     *
     * @param userLike 用户点赞记录
     * @return 结果
     */
    public int insertUserLike(UserLike userLike);

    /**
     * 修改用户点赞记录
     *
     * @param userLike 用户点赞记录
     * @return 结果
     */
    public int updateUserLike(UserLike userLike);

    /**
     * 删除用户点赞记录
     *
     * @param id 用户点赞记录主键
     * @return 结果
     */
    public int deleteUserLikeById(Long id);

    /**
     * 批量删除用户点赞记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserLikeByIds(Long[] ids);

    int unlikeContent(Long userId,Long contentType, Long contentId);
}
